org.apache.ignite.streamer

## Interface StreamerWindowMetrics

All Known Implementing Classes:
  StreamerWindowMetricsAdapter, StreamerWindowMetricsHolder

    public interface StreamerWindowMetrics

Streamer window metrics.

### Method Summary

Methods
`int` `evictionQueueSize()` Gets eviction queue size.
`String` `name()` Gets window name.
`int` `size()` Gets window size.

### Method Detail

#### name

    String name()

Gets window name.

Returns:
  Window name.

#### size

    int size()

Gets window size.

Returns:
  Window size.

#### evictionQueueSize

    int evictionQueueSize()

Gets eviction queue size.

Returns:
  Eviction queue size.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015